.select {
  position: relative;
  width: 100%;
  max-width: rem(460);
  box-shadow: 0px 12px 34px -22px rgba(0, 0, 0, 0.25);

  &__head {
    position: relative;
    background: $c-white;
    border-radius: rem(25);
    padding: rem(12.48) rem(0) rem(12.48) rem(29.11);
    cursor: pointer;

    &-icon {
      transform: rotate(180deg);
      position: absolute;
      top: 0;
      bottom: 0;
      right: rem(26);
      margin: auto;

      path {
        fill: #46b6d2;
      }
    }
  }

  &__head.is-active {
    z-index: 99;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;

    .select__head-icon {
      transform: rotate(0);
    }
  }

  &__body {
    position: absolute;
    top: 100%;
    width: 100%;
    max-height: rem(249);
    border-bottom-left-radius: rem(25);
    border-bottom-right-radius: rem(25);
    border-top: 1px solid $c-blue;
    background-color: $c-white;
    padding-right: rem(26);
    padding-top: rem(12);
    overflow: auto;
    opacity: 0;
    visibility: hidden;


    .simplebar-scrollbar {
      width: rem(4);
      height: rem(80);
      background: #63CCE1;
      border-radius: rem(4);
      margin-right: rem(4);
      margin-top: rem(4);
    }
  }

  &__body.is-active {
    opacity: 1;
    visibility: visible;
    z-index: 99;
  }

  &__item {
    padding: rem(8) rem(0) rem(8) rem(29.11);
    transition: background .3s ease;

    &:hover {
      color: $c-white;
      background: #63CCE1;
      cursor: pointer;
    }
  }

  &_calendar {
    width: 100%;
    max-width: 100%;

    .select__head {
      background: none;
      border: 1px solid $c-any;
      padding-left: 0;

      svg {
        path {
          fill: $c-any;
        }
      }

      .txt-def {
        text-align: center !important;
      }
    }

    .select__body {
      border-top: 1px solid $c-any;

      .simplebar-scrollbar {
        background: $c-any;
      }
    }
  }

  // #CFC2E7
  &_gray {
    .select__head {
      border: 1px solid #CFC2E7;

      svg {
        path {
          fill: #CFC2E7;
        }
      }
    }

    .select__body {
      border-top: 1px solid #CFC2E7;

      .simplebar-scrollbar {
        background: #CFC2E7;
      }
    }
  }
}